Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.log
Class CommonsLogFactory.LogAdapter

    java.lang.Object
      |
      +--com.solarmetric.log.CommonsLogFactory.LogAdapter

All Implemented Interfaces:
  Log

Enclosing class:
  CommonsLogFactory

public class CommonsLogFactory.LogAdapter
extends Object
implements Log

Adapts a commons logging log to the `Log` interface.

Fields inherited from interface com.solarmetric.log.Log
`DEBUG, ERROR, FATAL, INFO, TRACE, WARN`

Method Summary
`void` | `debug(Object o)` Write out a log message at the `Log.TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
`void` | `debug(Object o, Throwable t)` Write out a log message at the `Log.TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
`void` | `error(Object o)` Write out a log message at the `Log.TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
`void` | `error(Object o, Throwable t)` Write out a log message at the `Log.TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
`void` | `fatal(Object o)` Write out a log message at the `Log.TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
`void` | `fatal(Object o, Throwable t)` Write out a log message at the `Log.TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
`org.apache.commons.logging.Log` | `getDelegate()`
`void` | `info(Object o)` Write out a log message at the `Log.TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
`void` | `info(Object o, Throwable t)` Write out a log message at the `Log.TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
`boolean` | `isDebugEnabled()` Returns if the `Log.DEBUG` log level is enabled.
`boolean` | `isErrorEnabled()` Returns if the `Log.ERROR` log level is enabled.
`boolean` | `isFatalEnabled()` Returns if the `Log.FATAL` log level is enabled.
`boolean` | `isInfoEnabled()` Returns if the `Log.INFO` log level is enabled.
`boolean` | `isTraceEnabled()` Returns if the `Log.TRACE` log level is enabled.
`boolean` | `isWarnEnabled()` Returns if the `Log.WARN` log level is enabled.
`void` | `trace(Object o)` Write out a log message at the `Log.TRACE` level with the stringification of `o` as the body of the message.
`void` | `trace(Object o, Throwable t)` Write out a log message at the `Log.TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
`void` | `warn(Object o)` Write out a log message at the `Log.TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
`void` | `warn(Object o, Throwable t)` Write out a log message at the `Log.TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDelegate

    public org.apache.commons.logging.Log getDelegate()

### isDebugEnabled

    public boolean isDebugEnabled()

  Description copied from interface: `Log`
  Returns if the `Log.DEBUG` log level is enabled.
  Specified by:
    `isDebugEnabled` in interface `Log`

### isErrorEnabled

    public boolean isErrorEnabled()

  Description copied from interface: `Log`
  Returns if the `Log.ERROR` log level is enabled.
  Specified by:
    `isErrorEnabled` in interface `Log`

### isFatalEnabled

    public boolean isFatalEnabled()

  Description copied from interface: `Log`
  Returns if the `Log.FATAL` log level is enabled.
  Specified by:
    `isFatalEnabled` in interface `Log`

### isInfoEnabled

    public boolean isInfoEnabled()

  Description copied from interface: `Log`
  Returns if the `Log.INFO` log level is enabled.
  Specified by:
    `isInfoEnabled` in interface `Log`

### isTraceEnabled

    public boolean isTraceEnabled()

  Description copied from interface: `Log`
  Returns if the `Log.TRACE` log level is enabled.
  Specified by:
    `isTraceEnabled` in interface `Log`

### isWarnEnabled

    public boolean isWarnEnabled()

  Description copied from interface: `Log`
  Returns if the `Log.WARN` log level is enabled.
  Specified by:
    `isWarnEnabled` in interface `Log`

### trace

    public void trace(Object o)

  Description copied from interface: `Log`
  Write out a log message at the `Log.TRACE` level with the stringification of `o` as the body of the message.
  Specified by:
    `trace` in interface `Log`

### trace

    public void trace(Object o,
                      Throwable t)

  Description copied from interface: `Log`
  Write out a log message at the `Log.TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
  Specified by:
    `trace` in interface `Log`

### debug

    public void debug(Object o)

  Description copied from interface: `Log`
  Write out a log message at the `Log.TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
  Specified by:
    `debug` in interface `Log`

### debug

    public void debug(Object o,
                      Throwable t)

  Description copied from interface: `Log`
  Write out a log message at the `Log.TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
  Specified by:
    `debug` in interface `Log`

### info

    public void info(Object o)

  Description copied from interface: `Log`
  Write out a log message at the `Log.TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
  Specified by:
    `info` in interface `Log`

### info

    public void info(Object o,
                     Throwable t)

  Description copied from interface: `Log`
  Write out a log message at the `Log.TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
  Specified by:
    `info` in interface `Log`

### warn

    public void warn(Object o)

  Description copied from interface: `Log`
  Write out a log message at the `Log.TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
  Specified by:
    `warn` in interface `Log`

### warn

    public void warn(Object o,
                     Throwable t)

  Description copied from interface: `Log`
  Write out a log message at the `Log.TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
  Specified by:
    `warn` in interface `Log`

### error

    public void error(Object o)

  Description copied from interface: `Log`
  Write out a log message at the `Log.TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
  Specified by:
    `error` in interface `Log`

### error

    public void error(Object o,
                      Throwable t)

  Description copied from interface: `Log`
  Write out a log message at the `Log.TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
  Specified by:
    `error` in interface `Log`

### fatal

    public void fatal(Object o)

  Description copied from interface: `Log`
  Write out a log message at the `Log.TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
  Specified by:
    `fatal` in interface `Log`

### fatal

    public void fatal(Object o,
                      Throwable t)

  Description copied from interface: `Log`
  Write out a log message at the `Log.TRACE` level with the stringification of `o` as the body of the message, also outputting `t` to the log.
  Specified by:
    `fatal` in interface `Log`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.